#include <QCoreApplication>
#include <QQmlApplicationEngine>

class API : public QObject
{
    Q_OBJECT
    quint16 value = 0;
    Q_PROPERTY(quint16 v1 MEMBER value)
    Q_PROPERTY(quint16 v2 MEMBER value)
    Q_PROPERTY(quint16 v3 MEMBER value)
    Q_PROPERTY(quint16 v4 MEMBER value)
public:
    explicit API(QObject *parent = nullptr) : QObject(parent) {}
};

int main(int argc, char *argv[])
{
    QCoreApplication app(argc, argv);

    qmlRegisterType<API>("QtBug", 80440, 0, "API");
    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    return 0;
}

#include "main.moc"
